%global realname riak_dt
%global upstream basho


Name:		erlang-%{realname}
Version:	2.1.4
Release:	6%{?dist}
BuildArch:	noarch
Summary:	Convergent replicated data types in Erlang
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_dt-0001-Deprecated-funs.patch
Patch2:		erlang-riak_dt-0002-Use-rand-uniform-1-instead-of-deprecated-crypto-rand.patch
Patch3:		erlang-riak_dt-0003-Don-t-use-export_all.patch
BuildRequires:	erlang-rebar


%description
A set of state based CRDTs implemented in Erlang.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# Some tests requires a proprietary library - QuickCheck
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Thu Sep 06 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.1.4-6
- Fix FTBFS with Erlang 20+

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.1.4-1
- Ver. 2.1.4

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May  9 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-1
- Initial package
